claw::binary_true< T, U > Class Template Reference

Always true binary predicate. More...

`#include <functional.hpp>`

## Public Types

using | first_argument_type = const T&
using | second_argument_type = const U&
using | result_type = bool

## Public Member Functions

bool | operator() (const T &t, const U &u) const

## Detailed Description

template<class T, class U>
class claw::binary_true< T, U >

Always true binary predicate.

Template arguments:

- T Doesn't matter,
- U Doesn't matter.

Remarks
  Use it when you need to process all elements but a method needs an binary predicate parameter.

Author
  Julien Jorge

Definition at line 212 of file functional.hpp.

## Member Typedef Documentation

## first_argument_type

template<class T, class U>

using claw::binary_true< T, U >::first_argument_type = const T&

Definition at line 215 of file functional.hpp.

## result_type

template<class T, class U>

using claw::binary_true< T, U >::result_type = bool

Definition at line 217 of file functional.hpp.

## second_argument_type

template<class T, class U>

using claw::binary_true< T, U >::second_argument_type = const U&

Definition at line 216 of file functional.hpp.

## Member Function Documentation

## operator()()

template<class T, class U>

bool claw::binary_true< T, U >::operator() | ( | const T & | t,
|  | const U & | u ) const

inline

Definition at line 220 of file functional.hpp.

The documentation for this class was generated from the following file:

- functional.hpp